@charset "UTF-8";

:root,
[data-bs-theme=light] {
	--font: 'Instrument Sans', system-ui, sans-serif;

	--primary-color: hsl(233 89% 60%);
	--primary-color-light: hsl(233 89% 70%);
	--primary-color-dark: hsl(233 89% 50%);

	--xxl: 9.375rem;
	--xl: 5rem;

	--bs-primary: var(--primary-color);
	--bs-primary-rgb: 62, 83, 244;

	--bs-secondary: hsl(340 74% 46%);
	--bs-secondary-rgb: 205, 31, 90;

	--bs-light: hsl(240 88% 97%);
	--bs-light-rgb: 239, 239, 254;
	/* --bs-border-color: hsl(240 88% 80%); */
	--bs-border-color: hsl(0, 0%, 88%);
	--bs-border-color-rgb: 224, 224, 224;

	--bs-link-color: var(--primary-color);
	--bs-link-color-rgb: var(--bs-primary-rgb);
	--bs-link-decoration: underline;

	--bs-dark: hsl(239 93% 11%);
	--bs-dark-rgb: 2, 3, 53;

	--bs-body-color: var(--bs-dark);

	--h1: clamp(3.05rem, 4vw, 4.29375rem);
	--h2: clamp(2.44375rem, 4vw, 4.76875rem);
	--h3: clamp(1.95625rem, 3vw, 3.05rem);
	--h4: clamp(1.5625rem, 2.5vw, 2.44375rem);
	--h5: clamp(1.35rem, 2vw, 1.95625rem);
	--h6: clamp(1.25rem, 1.5vw, 1.5625rem);
	--lead: var(--h6);
}

html {
	scroll-behavior: smooth;
	scroll-padding-top: 80px;
}

[x-cloak] {
	display: none !important;
}

:focus-visible {
	outline: 2px dashed var(--primary-color);
	outline-offset: 2px;
}

body {
	font-feature-settings: "ss01" 1, "ss02" 1, "ss03" 1;
	-moz-font-feature-settings: "ss01" 1, "ss02" 1, "ss03" 1;
	-webkit-font-feature-settings: "ss01" 1, "ss02" 1, "ss03" 1;
	font-family: var(--font);
	line-height: 1.67;
	font-size: clamp(1rem, 1.25vw, 1.25rem);
}

.font-size-12px {
	font-size: .75rem;
}

.font-size-14px {
	font-size: .875rem;
}

.font-size-16px {
	font-size: 1rem;
}

.font-size-18px {
	font-size: 1.125rem;
}

.font-size-20px {
	font-size: 1.25rem;
}

.font-size-22px {
	font-size: 1.375rem;
}

.font-size-24px {
	font-size: 1.5rem;
}

.font-size-26px {
	font-size: 1.625rem;
}

.font-size-28px {
	font-size: 1.75rem;
}

.font-size-30px {
	font-size: 1.875rem;
}

.font-size-32px {
	font-size: 2rem;
}

.font-size-34px {
	font-size: 2.125rem;
}

.font-size-36px {
	font-size: 2.25rem;
}

.font-size-38px {
	font-size: 2.375rem;
}

.font-size-40px {
	font-size: 2.5rem;
}

.font-size-42px {
	font-size: 2.625rem;
}

.font-size-44px {
	font-size: 2.75rem;
}

.font-size-46px {
	font-size: 2.875rem;
}

.font-size-48px {
	font-size: 3rem;
}

.font-size-50px {
	font-size: 3.125rem;
}

.icon {
	width: var(--icon-size, 72px);
}

.icon-72px,
[src*="_72px"] {
	width: 72px;
}

.icon-48px,
[src*="_48px"] {
	width: 48px;
}

.icon-32px,
[src*="_32px"] {
	width: 32px;
}

.icon-16px,
[src*="_16px"] {
	width: 16px;
}

h1,
h2,
h3,
h4,
h5,
h6,
.h1,
.h2,
.h3,
.h4,
.h5,
.h6 {
	font-family: var(--font);
	margin-bottom: 1rem;
	display: inline-block;
	line-height: 1.1;
	font-weight: bold;
}

h1 em,
h2 em,
h3 em,
h4 em,
h5 em,
h6 em,
.h1 em,
.h2 em,
.h3 em,
.h4 em,
.h5 em,
.h6 em {
	font-style: normal;
	color: white;
	text-shadow: -1px -1px 0 var(--bs-body-color), 1px -1px 0 var(--bs-body-color), -1px 1px 0 var(--bs-body-color), 1px 1px 0 var(--bs-body-color);
}

.bg-light h2 em,
.bg-light h3 em,
.bg-light h4 em,
.bg-light h5 em,
.bg-light h6 em {
	color: var(--bs-light);
}

.text-bg-dark h2 em,
.text-bg-dark h3 em,
.text-bg-dark h4 em,
.text-bg-dark h5 em,
.text-bg-dark h6 em {
	color: var(--bs-dark);
	text-shadow: -1px -1px 0 white, 1px -1px 0 white, -1px 1px 0 white, 1px 1px 0 white;
}



h1,
.h1 {
	font-size: var(--h1) !important;
}

h2,
.h2 {
	font-size: var(--h2) !important;
}

h3,
.h3 {
	font-size: var(--h3) !important;
}

h4,
.h4 {
	font-size: var(--h4) !important;
}

h5,
.h5 {
	font-size: var(--h5) !important;
}

h6,
.h6 {
	font-size: var(--h6) !important;
}

.lead {
	font-size: var(--lead);
}

.container-fluid {
	padding-inline: clamp(1rem, 9vw, 9.375rem);
}

@media (min-width: 1536px) {
	.container {
		max-width: 1470px;
	}
}

.inset-0 {
	inset: 0;
}

.p-xxl {
	padding: var(--xxl);
}

.p-xl {
	padding: var(--xl);
}

.px-xxl {
	padding-inline: var(--xxl)
}

.px-xl {
	padding-inline: var(--xl)
}

.pt-xxl {
	padding-top: var(--xxl);
}

.pb-xxl {
	padding-bottom: var(--xxl);
}

.py-xxl {
	padding-top: var(--xxl);
	padding-bottom: var(--xxl);
}

.mt-xxl {
	margin-top: var(--xxl);
}

.mb-xxl {
	margin-bottom: var(--xxl);
}

.my-xxl {
	margin-top: var(--xxl);
	margin-bottom: var(--xxl);
}

.pt-xl {
	padding-top: var(--xl);
}

.pb-xl {
	padding-bottom: var(--xl);
}

.py-xl {
	padding-top: var(--xl);
	padding-bottom: var(--xl);
}

.mt-xl {
	margin-top: var(--xl);
}

.mb-xl {
	margin-bottom: var(--xl);
}

.my-xl {
	margin-top: var(--xl);
	margin-bottom: var(--xl);
}

#main ol li ul {
	margin-top: 1rem;
	margin-bottom: 1rem;
}

#main ol li+li {
	margin-top: 1rem;
}

/*  MARK: navbar  */

.navbar {
	--bs-navbar-padding-x: 0;
	--bs-navbar-padding-y: 0;
	--bs-navbar-active-color: white;
	--bs-navbar-nav-link-padding-x: 1rem;
	transition: height 200ms, box-shadow 200ms;
	background-color: white;
	height: 154px;
}

.navbar.affix {
	box-shadow: 0 0 2rem hsl(0 0% 0% / .15);
	height: 80px;
}

.navbar-brand {
	margin: 0;
	padding: 0;

	position: absolute;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
}

.navbar-brand-image {
	height: 54px;
	transition: height 200ms, transform 300ms;
}

.navbar-brand:hover,
.navbar-brand:focus {
	& .navbar-brand-image {
		transform: scale(1.03);
	}
}

.affix .navbar-brand-image {
	height: 40px;
}

.navbar-nav .nav-link {
	color: var(--bs-body-color);
	transition: color 200ms;

	&:hover,
	&:focus,
	&.show,
	&.open,
	&.active {
		color: var(--primary-color);
	}
}

.dropdown-menu {
	border: 0;
	padding: 1rem;
	border-radius: 0;
	background-color: var(--primary-color);
}

.dropdown-item {
	color: white;
	padding: 0.25rem .5rem;
	border-radius: .15rem;
	transition: color 200ms, background-color 200ms;
}

.dropdown-item:hover,
.dropdown-item:focus,
.dropdown-item.active {
	color: var(--primary-color);
	background-color: white;
}

.offcanvas {
	--bs-offcanvas-bg: var(--bs-body-bg);
	--bs-offcanvas-border-width: 2px;
	--bs-offcanvas-border-color: var(--primary-color);
	--bs-offcanvas-padding-x: 2rem;
	--bs-offcanvas-padding-y: 2rem;
}

.offcanvas-title {
	color: var(--primary-color);
}

.navbar-toggler {
	border: 0;
	padding: 0;
	border-radius: 0;
	width: 2rem;
	height: 1.25rem;
	display: flex;
	align-items: flex-start;
	box-shadow: none !important;

	&:focus {
		outline: 2px dashed var(--primary-color) !important;
		outline-offset: 2px !important;
	}
}

.navbar-toggler-icon {
	background: none;
	width: 100%;
	height: 2px;
	background-color: var(--bs-body-color);
	position: relative;

	&::before,
	&::after {
		content: "";
		display: block;
		width: 100%;
		height: 2px;
		background-color: var(--bs-body-color);
		position: absolute;
		right: 0;
	}

	&::before {
		top: 8px;
	}

	&::after {
		top: 16px;
		width: 50%;
	}
}

.langs a {
	text-decoration: none;
	color: var(--bs-body-color);
	transition: color 200ms;

	&:hover,
	&:focus,
	&.active {
		color: var(--primary-color);
	}
}

/*  MARK: header  */

header video {
	height: calc(95vh - 154px);
}

/*  MARK: main content */

.btn {
	--bs-btn-padding-x: 1.875rem;
	--bs-btn-padding-y: 1.25rem;
	--bs-btn-font-size: 1rem;
	--bs-btn-font-weight: 700;
	--bs-btn-line-height: 1.5;
}

.btn-primary {
	--bs-btn-bg: var(--primary-color);
	--bs-btn-border-color: var(--primary-color);
	--bs-btn-hover-bg: var(--primary-color-light);
	--bs-btn-hover-border-color: var(--primary-color-light);
	--bs-btn-active-bg: var(--primary-color-dark);
	--bs-btn-active-border-color: var(--primary-color-dark);
}

.btn-outline-primary {
	--bs-btn-color: var(--primary-color);
	--bs-btn-border-color: var(--primary-color);
	--bs-btn-hover-bg: var(--primary-color);
	--bs-btn-hover-border-color: var(--primary-color);
	--bs-btn-active-bg: var(--primary-color);
	--bs-btn-active-border-color: var(--primary-color);
}


.box {
	aspect-ratio: 1/1;
	width: 100%;
	text-align: center;
	text-decoration: none;

	& img {
		transition: transform 600ms cubic-bezier(0.175, 0.885, 0.32, 1.275);
	}

	&:hover,
	&:focus {
		& img {
			transform: scale(1.1);
		}
	}
}

.besten-box {
	background-color: #FEBD1B;
}

.magnetify-box {
	background-color: #4241D6;
}

button {
	border: 0;
	padding: 0;
	background-color: transparent;
}

.swiper-controls {

	& .swiper-button-prev,
	& .swiper-button-next {
		position: relative;
		inset: auto;
		margin: 0;
		color: var(--bs-body-color);

		&::before,
		&::after {
			font-size: 1.25rem;
		}
	}
}

.swiper-controls-divider {
	width: 1px;
	height: 45px;
	background-color: var(--bs-body-color);
	transform: rotate(45deg);
	transform-origin: center;
}

hr {
	opacity: 1;
	margin-top: 40px;
	margin-bottom: 40px;
}

#historia .content {
	font-size: 1rem;
}

#news .swiper-button-prev,
#news .swiper-button-next {
	width: 55px;

	&::before,
	&::after {
		display: none;
	}
}

#news .swiper-slide {
	padding: 30px 0 30px 30px;
	border-left: 1px solid var(--bs-dark);
}

#news .swiper-slide a {
	text-decoration: none;
	color: var(--bs-body-color);

	transition: color 200ms;

	&:hover,
	&:focus {
		color: var(--primary-color);
	}
}

#news h3 {
	display: block;
	clear: both;
}


a:has(img:only-child):not(.navbar-brand, .gallery a, .box) {
	transition: transform 400ms cubic-bezier(0.175, 0.885, 0.32, 1.275);

	&:hover,
	&:focus {
		transform: scale(1.1);
	}
}

.card-title-link {
	text-decoration: none;
	color: var(--bs-body-color);
	transition: color 200ms;

	&:hover,
	&:focus {
		color: var(--primary-color);
	}
}

.card-date {
	color: hsl(0 0% 60%);
}

.mono {
	font-family: monospace;
}

/*  MARK: stopka */

footer a {
	text-decoration: none;
	color: white;
	transition: color 200ms;
}

footer a:hover,
footer a:focus {
	color: var(--primary-color);
}

footer .copy {
	font-size: 1rem;
	color: hsl(0 0% 100% / .5);

	& a {
		color: inherit;
		transition: color 200ms;

		&:hover,
		&:focus {
			color: white;
		}
	}
}

.list-unstyled li+li {
	margin-top: 0.75em;
}

.madeby {
	display: flex;
	align-items: center;
}

.madeby small {
	font-size: 0.625rem;
	margin: 0.2em 0.2em 0 0;
}

/*  MARK: sub content  */

.sub .navbar {
	border-bottom: 1px solid var(--bs-border-color);
}

main:has(#sub-pages:last-of-type) {
	padding-bottom: 0;
}

.gallery a {
	display: block;
	width: 100%;
	overflow: hidden;
}

.gallery a img {
	width: 100%;
	display: block;
	transition: transform 400ms cubic-bezier(0.19, 1, 0.22, 1);
}

.gallery a:hover img {
	transform: scale(1.1);
}

.downloads a {
	text-decoration: none;
	color: black;
	border: 1px solid hsl(0 0% 90%);
	border-radius: .25rem;
	transition: color 200ms, border-color 200ms;

	& .h5 {
		font-weight: normal;
		font-size: inherit !important;
	}
}

.downloads a:hover {
	color: var(--primary-color);
	border-color: var(--primary-color);
}

.form-control {
	border-radius: .25rem;
	padding: .875rem;
}

.form-control.error {
	border-color: red;
}

.error-msg {
	color: red;
}

/*  MARK: paginator  */

.pagination {
	display: flex;
}

.pagination li {
	display: none;
}

.pagination .active,
.pagination .insertPage,
.pagination li:first-child,
.pagination li:last-child {
	display: block;
}

.pagination a,
.pagination input {
	display: flex;
	align-items: center;
	justify-content: center;
	width: 30px;
	height: 30px;
	margin: 0 5px;
	padding: 0;
	text-align: center;
	color: #bbb;
	border: 1px solid #e1e1e1;
	text-decoration: none;
	transition: all .2s;
}

.pagination a:focus,
.pagination a:hover,
.pagination input:focus,
.pagination input:hover {
	color: var(--primary-color);
	border: 1px solid var(--primary-color);
}

.pagination input::placeholder {
	color: #bbb;
	font-size: 16px;
	font-weight: 500;
}

.pagination .active a {
	border: 1px solid var(--primary-color);
	background: var(--primary-color);
	color: #fff;
	cursor: text;
}

.pagination .insertPage+.insertPage {
	display: none;
}

/*  MARK: RWD  */

@media (max-width: 1199px) {
	.py-xxl {
		padding-top: var(--xl);
		padding-bottom: var(--xl);
	}

	.px-xxl {
		padding-left: var(--xl);
		padding-right: var(--xl);
	}

	footer .gap-5 {
		gap: 1.5rem !important;
	}

	footer h2.d-flex {
		flex-direction: column;
		align-items: center;
		gap: .5rem !important
	}
}

@media (max-width: 991px) {
	:root {
		--xxl: 6rem;
		--xl: 3rem;
	}

	[data-aos] {
		animation-delay: 0 !important;
		transition-delay: 0 !important;
	}

	.box {
		aspect-ratio: 2/1;
	}

	.copy span {display: none;}
	.copy {
		display: flex;
		flex-direction: column;
		align-items: center;
		text-align: center;
		gap: .5rem;
		margin-bottom: 1rem;
	}
}


@media (max-width: 767px) {
	.navbar-brand {
    margin: 0;
    padding: 0;
    position: relative;
    top: auto;
    left: auto;
    transform: none;
	}

	.navbar-brand-image {height: 35px;}
	.affix .navbar-brand-image {height: 30px;}

	.navbar .container-fluid {
		justify-content: space-between !important;
	}

	.offcanvas, .offcanvas-lg, .offcanvas-md, .offcanvas-sm, .offcanvas-xl, .offcanvas-xxl {
    --bs-offcanvas-width: 300px;
	}
}


@media (max-width: 575px) {
	:root {
		--xxl: 4rem;
		--xl: 1.75rem;
	}

	.container-fluid {
    padding-inline: 1.5rem;
	}

	.container, .container-fluid, .container-lg, .container-md, .container-sm, .container-xl, .container-xxl {
    padding-right: 1.5rem;
    padding-left: 1.5rem;
	}

	.box {
		aspect-ratio: 4/3;
	}

	.d-flex:has(.swiper-controls) {
		flex-direction: column;
		align-items: center;
	}
}